Bug 1956352 - CNO must handle single-stack to dual-stack migration
Summary: CNO must handle single-stack to dual-stack migration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.7.z
Assignee: Dan Williams
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On: 1924171
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-03 14:17 UTC by Dan Williams
Modified: 2021-05-19 15:17 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1937829
Environment:
Last Closed: 2021-05-19 15:17:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 1082 0 None open Bug 1956352: [4.7] OVN kubernetes dual-stack conversion 2021-05-03 14:21:55 UTC
Red Hat Product Errata RHBA-2021:1550 0 None None None 2021-05-19 15:17:39 UTC

Comment 3 zhaozhanqi 2021-05-12 06:19:58 UTC
following this steps from docs https://docs.google.com/document/d/1UCzHn7CsU7-NIZLINTrDyb7h6FB2TNSv4QERcbq8S0I/edit#

Verified on 4.7.0-0.nightly-2021-05-05-092347   

# oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-05-05-092347   True        False         10h     Cluster version is 4.7.0-0.nightly-2021-05-05-092347

###check the network###

#oc get network -o yaml

...

  spec:
    clusterNetwork:
    - cidr: 10.128.0.0/14
      hostPrefix: 23
    - cidr: fd01::/48
      hostPrefix: 64
    externalIP:
      policy: {}
    networkType: OVNKubernetes
    serviceNetwork:
    - 172.30.0.0/16
    - fd02::/112
  status:
    clusterNetwork:
    - cidr: 10.128.0.0/14
      hostPrefix: 23
    - cidr: fd01::/48
      hostPrefix: 64
    clusterNetworkMTU: 1400
    networkType: OVNKubernetes
    serviceNetwork:
    - 172.30.0.0/16
    - fd02::/112

...

Create test pod on cluster

# oc get pod -n z1
test-rc-48dxd   1/1     Running   0          9m45s   10.128.2.56   dell-per740-14.rhts.eng.pek2.redhat.com   <none>           <none>
test-rc-4nfjt   1/1     Running   0          9m44s   10.131.0.13   dell-per740-35.rhts.eng.pek2.redhat.com   <none>           <none>



# oc exec -n z1 test-rc-48dxd -- ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
3: eth0@if96: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1400 qdisc noqueue state UP group default 
    link/ether 0a:58:0a:80:02:38 brd ff:ff:ff:ff:ff:ff link-netnsid 0
    inet 10.128.2.56/23 brd 10.128.3.255 scope global eth0
       valid_lft forever preferred_lft forever
    inet6 fd01:0:0:2::34/64 scope global 
       valid_lft forever preferred_lft forever
    inet6 fe80::858:aff:fe80:238/64 scope link 
       valid_lft forever preferred_lft forever
[root@dell-per740-36 ~]# oc exec -n z1 test-rc-4nfjt -- curl [fd01:0:0:2::34]:8080
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0Hello OpenShift!
100    17  100    17    0     0   1700      0 --:--:-- --:--:-- --:--:--  1700



Move this to verified.

Comment 5 errata-xmlrpc 2021-05-19 15:17:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1550


Note You need to log in before you can comment on or make changes to this bug.